Package org.apache.sling.event.impl.jobs.config

# Class TopologyCapabilities.InstanceDescriptionComparator

java.lang.Object
org.apache.sling.event.impl.jobs.config.TopologyCapabilities.InstanceDescriptionComparator

All Implemented Interfaces:
  `Comparator<org.apache.sling.discovery.InstanceDescription>`

Enclosing class:
  `TopologyCapabilities`

public static final class TopologyCapabilities.InstanceDescriptionComparator extends Object implements Comparator<org.apache.sling.discovery.InstanceDescription>

## Constructor Summary

Constructors
Constructor
Description
`InstanceDescriptionComparator(String clusterId)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(org.apache.sling.discovery.InstanceDescription o1, org.apache.sling.discovery.InstanceDescription o2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Constructor Details

### InstanceDescriptionComparator

public InstanceDescriptionComparator(String clusterId)

## Method Details

### compare

public int compare(org.apache.sling.discovery.InstanceDescription o1, org.apache.sling.discovery.InstanceDescription o2)

Specified by:
  `compare` in interface `Comparator<org.apache.sling.discovery.InstanceDescription>`